< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package bootstrap
  Definition Classes
    play
-  package frontend
  Definition Classes
    bootstrap
-  package filters
  Definition Classes
    frontend
-  package crypto
  Definition Classes
    filters
-  package deviceid
  Definition Classes
    filters
- AllowlistFilter
- DefaultFrontendAuditFilter
- FrontendAuditFilter
- FrontendFilters
- HeadersFilter
- SessionIdFilter
- SessionTimeoutFilter
- SessionTimeoutFilterConfig

c

uk.gov.hmrc.play.bootstrap.frontend.filters

# DefaultFrontendAuditFilter 

###

#### class DefaultFrontendAuditFilter extends FrontendAuditFilter

Linear Supertypes
FrontendAuditFilter, FrontendHeaderCarrierProvider, CommonAuditFilter, AuditFilter, EssentialFilter, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultFrontendAuditFilter
2. FrontendAuditFilter
3. FrontendHeaderCarrierProvider
4. CommonAuditFilter
5. AuditFilter
6. EssentialFilter
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DefaultFrontendAuditFilter(config: Configuration, controllerConfigs: ControllerConfigs, auditConnector: AuditConnector, httpAuditEvent: HttpAuditEvent, mat: Materializer)(implicit ec: ExecutionContext)
   Annotations
     @Inject()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val applicationPort: Option[Int]
   Definition Classes
     DefaultFrontendAuditFilter → FrontendAuditFilter
5.  def apply(nextFilter: EssentialAction): EssentialAction
   Definition Classes
     CommonAuditFilter → EssentialFilter
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def asJava: EssentialFilter
   Definition Classes
     EssentialFilter
8.  val auditConnector: AuditConnector
   Definition Classes
     DefaultFrontendAuditFilter → CommonAuditFilter
9.  def buildRequestDetails(requestHeader: RequestHeader, requestBody: String): Map[String, String]
   Attributes
     protected
   Definition Classes
     FrontendAuditFilter → CommonAuditFilter
10.  def buildResponseDetails(response: ResponseHeader): Map[String, String]
    Attributes
      protected
    Definition Classes
      FrontendAuditFilter → CommonAuditFilter
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
12.  val config: Configuration
    Definition Classes
      DefaultFrontendAuditFilter → CommonAuditFilter
13.  def controllerNeedsAuditing(controllerName: String): Boolean
    Definition Classes
      DefaultFrontendAuditFilter → CommonAuditFilter
14.  def dataEvent(eventType: String, transactionName: String, request: RequestHeader, detail: Map[String, String])(implicit hc: HeaderCarrier): DataEvent
    Definition Classes
      DefaultFrontendAuditFilter → CommonAuditFilter
15.  implicit val ec: ExecutionContext
    Attributes
      protected
    Definition Classes
      DefaultFrontendAuditFilter → CommonAuditFilter
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def filterResponseBody(result: Result, response: ResponseHeader, responseBody: String): String
    Attributes
      protected
    Definition Classes
      FrontendAuditFilter → CommonAuditFilter
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  implicit def hc(implicit request: RequestHeader): HeaderCarrier
    Attributes
      protected
    Definition Classes
      FrontendHeaderCarrierProvider
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  val maskedFormFields: Seq[String]
    Definition Classes
      DefaultFrontendAuditFilter → FrontendAuditFilter
25.  val mat: Materializer
    Definition Classes
      DefaultFrontendAuditFilter → CommonAuditFilter
26.  val maxBodySize: Int
    Definition Classes
      CommonAuditFilter
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def needsAuditing(request: RequestHeader): Boolean
    Attributes
      protected
    Definition Classes
      CommonAuditFilter
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  def onCompleteWithInput(loggingContext: String, next: Accumulator[ByteString, Result], handler: (String, Try[Result]) ⇒ (String) ⇒ Unit)(implicit ec: ExecutionContext): Accumulator[ByteString, Result]
    Attributes
      protected
    Definition Classes
      CommonAuditFilter
32.  val requestReceived: String
    Definition Classes
      CommonAuditFilter
33.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from FrontendAuditFilter

### Inherited from FrontendHeaderCarrierProvider

### Inherited from CommonAuditFilter

### Inherited from AuditFilter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped